Subject: Re: implement modem control for the 860 SMC

From: Dan Malek <[email-masked]>
Date: Fri, 16 Nov 2001 00:57:17 -0500

[email-masked] wrote:

> Hi, everybody ~~!!!
>
> I want to implement modem control using 860 SMC. (NOT SCC)

What kind of modem control?  If you want to do flow control based
upon the hardware signals, I wouldn't even attempt it.  It would
have to be implemented in software, you would have to respond to
interrupts generated by signal changes, and you couldn't use any
of the CPM buffering capability.  I don't think you could respond
fast enough to the RTS/CTS changes.

If all you want are things like carrier and DTR sensing, just connect
some GPIO pins and have a good time :-).

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/